package org.wfc.system.api.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文件信息
 * 
 * @author wfc
 */
public class SysFile
{
    /**
     * 文件名称
     */
    private String name;

    /**
     * 文件相对地址
     */
    private String url;

    /**
     * 文件内部地址
     */
    private String localUrl;

    /**
     * 文件gateway地址
     */
    private String gatewayUrl;

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getLocalUrl() {
        return localUrl;
    }

    public void setLocalUrl(String localUrl) {
        this.localUrl = localUrl;
    }

    public String getGatewayUrl() {
        return gatewayUrl;
    }

    public void setGatewayUrl(String gatewayUrl) {
        this.gatewayUrl = gatewayUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("name", getName())
            .append("url", getUrl())
            .append("localUrl", getLocalUrl())
            .append("gatewayUrl", getGatewayUrl())
            .toString();
    }
}
